org.apache.cassandra.io.compress

## Class CompressedThrottledReader

- java.lang.Object
- - java.io.RandomAccessFile
  - - org.apache.cassandra.io.util.RandomAccessReader
    - - org.apache.cassandra.io.compress.CompressedRandomAccessReader
      - - org.apache.cassandra.io.compress.CompressedThrottledReader

All Implemented Interfaces:
  java.io.Closeable, java.io.DataInput, java.io.DataOutput, java.lang.AutoCloseable, FileDataInput

    public class CompressedThrottledReader
    extends CompressedRandomAccessReader

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.io.util.RandomAccessReader

`RandomAccessReader.BufferedRandomAccessFileMark`

### Field Summary

### Fields inherited from class org.apache.cassandra.io.util.RandomAccessReader

`buffer, bufferOffset, CACHE_FLUSH_INTERVAL_IN_BYTES, channel, current, DEFAULT_BUFFER_SIZE, markedPointer, owner, validBufferBytes`

### Constructor Summary

Constructors
Constructor and Description
`CompressedThrottledReader(java.lang.String file, CompressionMetadata metadata, com.google.common.util.concurrent.RateLimiter limiter)`

### Method Summary

Methods
`static CompressedThrottledReader` `open(java.lang.String file, CompressionMetadata metadata, com.google.common.util.concurrent.RateLimiter limiter)`
`protected void` `reBuffer()` Read data from file starting from current currentOffset to populate buffer.

### Methods inherited from class org.apache.cassandra.io.compress.CompressedRandomAccessReader

`getTotalBufferSize, length, open, open, toString`

### Methods inherited from class org.apache.cassandra.io.util.RandomAccessReader

`bufferCursor, bytesPastMark, bytesPastMark, bytesRemaining, close, deallocate, getFilePointer, getPath, isEOF, mark, open, open, read, read, read, readBytes, reset, reset, resetBuffer, seek, write, write, write`

### Methods inherited from class java.io.RandomAccessFile

`getChannel, getFD, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, setLength, skipBytes, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.io.DataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

### Constructor Detail

#### CompressedThrottledReader

    public CompressedThrottledReader(java.lang.String file,
                             CompressionMetadata metadata,
                             com.google.common.util.concurrent.RateLimiter limiter)
                              throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### Method Detail

#### reBuffer

    protected void reBuffer()

Description copied from class: `RandomAccessReader`
Read data from file starting from current currentOffset to populate buffer.

Overrides:
  `reBuffer` in class `CompressedRandomAccessReader`

#### open

    public static CompressedThrottledReader open(java.lang.String file,
                                 CompressionMetadata metadata,
                                 com.google.common.util.concurrent.RateLimiter limiter)